Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447180 - dev-php/PEAR-Archive_Tar should depend on dev-lang/php[bzip2,posix,zlib]
Summary: dev-php/PEAR-Archive_Tar should depend on dev-lang/php[bzip2,posix,zlib]
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-14 00:59 UTC by Matthew Schultz
Modified: 2015-04-30 15:25 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
PEAR-Archive_Tar-1.3.10.ebuild (PEAR-Archive_Tar-1.3.10.ebuild,340 bytes, text/plain)
2012-12-14 01:21 UTC, Matthew Schultz
Details
PEAR-Archive_Tar-1.3.10.ebuild (PEAR-Archive_Tar-1.3.10.ebuild,690 bytes, text/plain)
2013-01-02 14:19 UTC, Matthew Schultz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Schultz 2012-12-14 00:59:49 UTC
dev-php/PEAR-Archive_Tar has runtime dependencies on bzip2, zlib and posix evidence by the usage of posix_getpwuid, gzopen, bzopen, etc.

The ebuild RDEPEND should be:

RDEPEND="dev-lang/php[bzip2,posix,zlib]"
Comment 1 Matthew Schultz 2012-12-14 01:01:07 UTC
and include the ${DEPEND} var of course
Comment 2 Matthew Schultz 2012-12-14 01:04:46 UTC
(In reply to comment #1)
> and include the ${DEPEND} var of course

Correction: ${DEPEND} is not needed in RDEPEND at all, DEPEND should be dropped entirely because there aren't any build dependencies and PEAR-PEAR should be moved to RDEPEND.
Comment 3 Matthew Schultz 2012-12-14 01:21:11 UTC
Created attachment 332254 [details]
PEAR-Archive_Tar-1.3.10.ebuild

bumped, simplified and fixed repend on ebuild
Comment 4 Matthew Schultz 2012-12-14 01:21:33 UTC
(In reply to comment #3)
> Created attachment 332254 [details]
> PEAR-Archive_Tar-1.3.10.ebuild
> 
> bumped, simplified and fixed repend on ebuild

RDEPEND that is
Comment 5 Ole Markus With (RETIRED) gentoo-dev 2013-01-02 13:59:19 UTC
PEAR_Archive_Tar cannot use the php-pear-r1 since pear in itself depends on PEAR_Archive_Tar. That is why PEAR_Archive_Tar is installed using that particular src_install.

The RDEPEND could still be added though.
Comment 6 Matthew Schultz 2013-01-02 14:19:42 UTC
Created attachment 334036 [details]
PEAR-Archive_Tar-1.3.10.ebuild

Removed php-pear-r1 usage as per previous comments.
Comment 7 Brian Evans Gentoo Infrastructure gentoo-dev 2015-02-16 21:47:58 UTC
--- ./ChangeLog
+++ ./ChangeLog
@@ -4,0 +5,3 @@
+  16 Feb 2015; Brian Evans <grknight@gentoo.org> PEAR-Archive_Tar-1.3.13.ebuild:
+  Add missing RDEPEND for bug 447180
+
Comment 8 Terra 2015-04-30 14:50:39 UTC
I would recommend dropping the 'posix' USE flag requirement as many web hosts don't like having PHP built with the POSIX extensions for general client usage.

Within 'Tar.php', there is a conditional that tests for:
if (function_exists('posix_getpwuid')) { ... } else { ... }

therefore it is not a strict requirement.

This is also important because to get 'pear' itself installed, it depends on this
dev-php/pear-1.9.4 (>=dev-php/PEAR-Archive_Tar-1.3.7)

which in turn forces PHP + POSIX on everyone.

Please reconsider the forced 'posix' USE flag requirement.

As an aside, the same could be said for 'function_exists()' and bzip2, zlib, and also for lzma2 ('xzopen')
$ grep function_exists Tar.php

I don't believe there needs to be any USE flag constraints on PHP via >=dev-php/PEAR-Archive_Tar-1.3.15

Thank you for your consideration!
Comment 9 Matthew Schultz 2015-04-30 15:25:12 UTC
(In reply to Terra from comment #8)
> I would recommend dropping the 'posix' USE flag requirement as many web
> hosts don't like having PHP built with the POSIX extensions for general
> client usage.
> 
> Within 'Tar.php', there is a conditional that tests for:
> if (function_exists('posix_getpwuid')) { ... } else { ... }
> 
> therefore it is not a strict requirement.
> 
> This is also important because to get 'pear' itself installed, it depends on
> this
> dev-php/pear-1.9.4 (>=dev-php/PEAR-Archive_Tar-1.3.7)
> 
> which in turn forces PHP + POSIX on everyone.
> 
> Please reconsider the forced 'posix' USE flag requirement.
> 
> As an aside, the same could be said for 'function_exists()' and bzip2, zlib,
> and also for lzma2 ('xzopen')
> $ grep function_exists Tar.php
> 
> I don't believe there needs to be any USE flag constraints on PHP via
> >=dev-php/PEAR-Archive_Tar-1.3.15
> 
> Thank you for your consideration!

Yes it appears the PEAR-Archive_Tar-1.3.15 makes function checks it didn't originally do when I filed this bug.  Please file a new bug though since this bug has already been resolved.